cURL
curl --request POST \
--url https://api.cekura.ai/dashboards/dashboards/{id}/bulk_widgets/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"create": [
{}
],
"update": [
{}
],
"delete": [
123
]
}
'import requests
url = "https://api.cekura.ai/dashboards/dashboards/{id}/bulk_widgets/"
payload = {
"create": [{}],
"update": [{}],
"delete": [123]
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({create: [{}], update: [{}], delete: [123]})
};
fetch('https://api.cekura.ai/dashboards/dashboards/{id}/bulk_widgets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": [
{
"id": 123,
"dashboard": 123,
"name": "<string>",
"filters": {
"field": "<string>",
"value": "<unknown>",
"conditions": [
"<unknown>"
]
},
"effective_filters": {
"field": "<string>",
"value": "<unknown>",
"conditions": [
"<unknown>"
]
},
"field": "",
"metric": 123,
"metric_name": "<string>",
"group_by": "<unknown>",
"metadata": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"updated": [
{
"id": 123,
"dashboard": 123,
"name": "<string>",
"filters": {
"field": "<string>",
"value": "<unknown>",
"conditions": [
"<unknown>"
]
},
"effective_filters": {
"field": "<string>",
"value": "<unknown>",
"conditions": [
"<unknown>"
]
},
"field": "",
"metric": 123,
"metric_name": "<string>",
"group_by": "<unknown>",
"metadata": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"deleted": [
123
],
"errors": [
{}
]
}Dashboards
Bulk Widget Operations
Bulk create, update, and delete widgets on a dashboard in a single request.
POST
/
dashboards
/
dashboards
/
{id}
/
bulk_widgets
/
cURL
Authorizations
API Key Authentication. It should be included in the header of each request.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Response serializer for bulk widget operations.
Returns the created, updated, and deleted widgets.
⌘I